#include <Foundation/NSString.h>
@interface NSFramework_Encore : NSObject
+ (NSString *)frameworkEnv;
+ (NSString *)frameworkPath;
+ (NSString *)frameworkVersion;
+ (NSString *const*)frameworkClasses;
@end
@implementation NSFramework_Encore
+ (NSString *)frameworkEnv { return nil; }
+ (NSString *)frameworkPath { return @"/usr/lib64/GNUstep/Frameworks"; }
+ (NSString *)frameworkVersion { return @"0"; }
static NSString *allClasses[] = {@"ECObject", @"ECAlreadyExistsException", @"ECAssertionException", @"ECException", @"ECIllegalArgumentException", @"ECIllegalOperationException", @"ECIllegalStateException", @"ECIncompleteInitializationException", @"ECNotImplementedException", @"ECPermissionDeniedException", @"ECCache", @"ECCacheItem", @"ECArrayIterator", @"ECStack", @"ECEmptyIterator", @"ECKeyToListMap", @"ECTestcase", @"ECSelectorHolder", @"ECTestSuite", @"ECTestResult", @"ECXMLControlContext", @"ECXMLControlDefaultAllocatorRule", @"ECXMLControlLinkObjectRule", @"ECXMLControlSetAttributeRule", @"ECXMLControlSetterLookupUtil", @"ECXMLControlEvent", @"ECXMLControl", @"ECXMLControlRuleSelector", @"ECXMLControlState", @"ECDefaultParameterEvaluaterImpl", @"ECParameterString", @"ECDefaultLoggingFormatter", @"ECLogger", @"ECLoggingConfiguration", @"ECLogging", @"ECLoggingContext", @"ECLoggingXMLConfiguration", @"ECLoggingConfiguration", @"ECNSLogLoggingWriter", @"ECLogging", @"ECFileLoggingWriter", @"ECXMLControlReferenceRule", @"ECStandardOutput", @"ECEnumeratorIterator", @"ECXMLControlDelegateMessageRule", NULL};
+ (NSString *const*)frameworkClasses { return allClasses; }
@end
